function WindowLevelClear()
{
    this.name = "clear";   //window_controller.Show("job");
    this.layer = 1;
    this.animation_time_in = 20;
    this.animation_time_out = 20;

    this.getImg.x = 160*devise_size;
    this.getImg.y = 2048;
    this.getImg.regX = 110*devise_size;
    this.getImg.regY = 51*devise_size;

    var bg = ss_data.clone();
    bg.gotoAndStop("window");
    this.getImg.addChild(bg);

    var up = ss_data.clone();
    up.gotoAndStop("text_yellow_level_clear");
    up.x = 35*devise_size;
    up.y = 39*devise_size;
    this.getImg.addChild(up);
}
WindowLevelClear.prototype = new ClassWindow();

WindowLevelClear.prototype.Show = function()
{
    this.getImg.y = 2048;
    this.time = 0;
};

WindowLevelClear.prototype.DrwIn = function()
{
    this.getImg.y = (-105 + 345*(this.animation/this.animation_time_in))*devise_size;
};

WindowLevelClear.prototype.DrwOut = function()
{
    this.getImg.y = (240 + 345*(this.animation/(-this.animation_time_out)))*devise_size;
    if(this.animation == -this.animation_time_out) this.getImg.y = 2048;
};

WindowLevelClear.prototype.Drw = function()
{
    if(this.isSt())
    {
        this.time++;
        if(this.time > 30)
        {
            this.time=0;
            if(game.level_num == config.lvls.length - 1)
                window_controller.Show("complete");
            else
                window_controller.Show("win");
        }
    }
};